APACHE-> NEED expert

Ask questions regarding Gentoox, Gentoo and Linux in general in these forums and we'll do our best to help you!
Post Reply
ManReal
Novice
Posts: 25
Joined: Tue Jan 09, 2007 11:33 pm

APACHE-> NEED expert

Post by ManReal » Wed Jan 31, 2007 12:24 am

I have searched everwhere for help. Moreover, I need some help from you guys. I have posted something on the "gentoo" forums for help. However they all say that I have a corrupted HD which to my understanding I don't. Maybe gentoox causes this problem?

Well, anyways, the post on the other forum is right here:

GENTOO POST Here.

And this is my basic problem that no one seems to be able to figure out.

I'm trying to install apache with PHP so I'm following a tuturial (figure 1), I followed the entire thing except it freezes upon the second emerge package of "emerge apache dev-lang/php".

--- figure 1 ---
1) Open a konsole/console
2) su –
3) Enter root password
4) emerge sync
5) pico -w /etc/make.conf 6) Ensure that "apache2" and "php" are in the USE="" line 7) emerge apache dev-lang/php

Here's what the problem was the first time,

Code: Select all

 * checking php-patchset-5.1.6-r3.tar.bz2 ;-) ...                                                                      [ ok ]
 * Determining SAPI(s) to build
 *   Enabled  SAPI: cli
 *   Disabled SAPI: cgi
 *   Disabled SAPI: apache
 *   Enabled  SAPI: apache2
 *
 * If this package fails with a fatal error about Apache2 not having
 * been compiled with a compatible MPM, this is normally because you
 * need to toggle the 'threads' USE flag.
 *
 * If 'threads' is off, try switching it on.
 * If 'threads' is on, try switching it off.
 *
 *
 * USE flag 'truetype' needs one of these additional flag(s) set:
 *    gd gd-external
 *
 * 'gd' was automatically selected and enabled.
 * You can change that by enabling/disabling those flags accordingly
 * in /etc/portage/package.use.
 *
 *
 * USE flag 'sharedmem' conflicts with these USE flag(s):
 *    threads
 *
 * You must disable these conflicting flags before you can emerge this package.
 * You can do this by disabling these flags in /etc/portage/package.use:
 *     =dev-lang/php-5.1.6-r6  -threads
 *

!!! ERROR: dev-lang/php-5.1.6-r6 failed.
Call stack:
  ebuild.sh, line 1562:   Called dyn_setup
  ebuild.sh, line 665:   Called pkg_setup
  php-5.1.6-r6.ebuild, line 106:   Called php5_1-sapi_pkg_setup
  php5_1-sapi.eclass, line 270:   Called php5_1-sapi_check_use_flags
  php5_1-sapi.eclass, line 196:   Called phpconfutils_use_conflict 'sharedmem' 'threads'
  phpconfutils.eclass, line 163:   Called die

!!! Conflicting USE flags found
!!! If you need support, post the topmost build error, and the call stack if relevant.

most important thing to note is the bottom it says to change the "thread" flags. So, I decided to open ------> EDIT "/etc/portage/package.use" .. for some reason it says that the file didn't exist already.

SO I did some research only to find that I should change the "use flag" in "etc/make.conf". however after changing the flag and "emerge apache dev-lang/php" the emerge did actually get farther this time. Here's the error I got on my second run:
ext/date/lib/parse_date.lo
ext/date/lib/.libs/parse_date.o: Input/output error
{standard input}: Assembler messages:
{standard input}:37424: FATAL: Can't write ext/date/lib/.libs/parse_date.o: Illegal seek
make: *** [ext/date/lib/parse_date.lo] Error 1

!!! ERROR: dev-lang/php-5.1.6-r6 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_compile
ebuild.sh, line 937: Called src_compile
php-5.1.6-r6.ebuild, line 173: Called src_compile_normal
php-5.1.6-r6.ebuild, line 339: Called php5_1-sapi_src_compile
php5_1-sapi.eclass, line 577: Called die

!!! make failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
As you can see I have tried to get this working. I have searched through the forums, this is why I'm coming to you. I have no idea what to do. I don't see any options here to fix this problem. Can anyone please help me?

How do I know if I actually have a corrupt HD?

User avatar
ShALLaX
Site Admin
Posts: 1973
Joined: Sun Aug 10, 2003 9:25 pm
Location: England
Contact:

Post by ShALLaX » Wed Feb 21, 2007 10:09 pm

Try removing the sharedmem flag and putting the threads flag back.
The original Xbox adaptation of Gentoo

saintmike
Linux User
Posts: 12
Joined: Tue Sep 13, 2005 10:31 pm

Post by saintmike » Thu Mar 08, 2007 2:11 am

I'v had the same problem.

Using home 6.1, i removed shadowmem, threads was already there.

Trying now.

Perhaps you should update the tut ShALLaX as there are alot of questions about it lol ;-)

I think a wiki that everyone can edit would save way more then half the posts on this forum, im sure someone on here has enough free time to set one up.

saintmike
Linux User
Posts: 12
Joined: Tue Sep 13, 2005 10:31 pm

Post by saintmike » Thu Mar 08, 2007 11:26 am

Now im getting

Code: Select all

./config.status: line 416: /bin/sh: Argument list too long
./config.status: line 416: /bin/sh: Success
make: *** [config.status] Error 1

!!! ERROR: dev-db/mysql-5.0.26-r2 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 4383:   Called src_compile
  ebuild.sh, line 1304:   Called mysql_src_compile
  mysql.eclass, line 604:   Called die

!!! emake failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-db/mysql-5.0.26-r2/temp/build.log'.
It seems to then try and set it up again, and again and again

Ima try add itk to make file

saintmike
Linux User
Posts: 12
Joined: Tue Sep 13, 2005 10:31 pm

Post by saintmike » Fri Mar 09, 2007 1:04 am

Still getting it :(

Anyone had this on home 6.1?

might it bebecause other stuff is installed without the flags i added?

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Sat Mar 10, 2007 6:10 am

you might have to do a emerge -av sync or a emerge -av world but please read the documentation pertaining to those at http://www.gentoo.org

saintmike
Linux User
Posts: 12
Joined: Tue Sep 13, 2005 10:31 pm

Post by saintmike » Mon Mar 12, 2007 8:43 am

Already fixed, though i posted. But cheers for the link ill have a look into

I started with a fresh version and did it localally on my pc to speed things up.

All i had to do for home 6.1 was remove sharemem and all seems to be working fine :)

mitxel
Linux User
Posts: 15
Joined: Sat Aug 12, 2006 12:26 pm

Post by mitxel » Sun Mar 18, 2007 7:11 pm

How can I remove sharemem?
Thanks

Post Reply

Who is online

Users browsing this forum: No registered users and 6 guests